package com.school.project.service.interfaces;

import com.school.project.model.Student;

import java.util.List;
import java.util.Optional;

public interface StudentService {

    public Student saveStudent(Student student);

    public List<Student> readAllStudents();

    public Optional<Student> readStudentById(Long id);

    public Student updateStudentById(Student student,Long id);

    public void deleteStudentById(Long id);


}
