package com.school.project.service.implementation;

import com.school.project.model.Teacher;
import com.school.project.repository.TeacherRepository;
import com.school.project.service.interfaces.TeacherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class TeacherServiceImp implements TeacherService {

    @Autowired(required = true)
    public TeacherRepository teacherRepository;

    @Override
    public Teacher saveTeacher(Teacher teacher) {
        return teacherRepository.save(teacher);
    }

    @Override
    public List<Teacher> readAllTeachers() {
        return teacherRepository.findAll();
    }

    @Override
    public Optional<Teacher> readTeacherById(Long id) {
        return teacherRepository.findById(id);
    }

    @Override
    public Teacher updateTeacher(Teacher teacher, Long id) {
        return null;
    }

    @Override
    public void deleteTeacherById(Long id) {
        teacherRepository.deleteById(id);
    }
}
