package com.school.project.service.interfaces;

import com.school.project.model.Teacher;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public interface TeacherService {

    public Teacher saveTeacher(Teacher teacher);

    public List<Teacher> readAllTeachers();

    public Optional<Teacher> readTeacherById(Long id);

    public Teacher updateTeacher(Teacher teacher,Long id);

    public void deleteTeacherById(Long id);

}
